Subject: bug#42166: closed (Closing)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Aug 2023 08:58:02 +0000

Your bug report

#42166: texlive@2019 looks up font ‘.enc’ files in $PWD

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42166: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42166
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Closing
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Sun, 27 Aug 2023 10:57:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

this has most likely been solved by either the new monolithic texlive
package, or the vastly expanded modular texlive. So I am closing the report,
please reopen it if the problem persists.

Thanks for the report,

Andreas

Subject: texlive@2019 looks up font ‘.enc’ files in $PWD
From: Ludovic Courtès <[email-masked]>
To: <[email-masked]>
Date: Thu, 02 Jul 2020 18:25:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I’m using texlive 20190410 on
<https://git.savannah.gnu.org/cgit/guix/maintenance.git/tree/talks/fosdem-2020/containers>
and pdftex fails like this:

--8<---------------cut here---------------start------------->8---
(/gnu/store/83kmnw6iyj0zj8j798baw8rw61rhl06a-texlive-texmf-20190410/share/texmf
-dist/tex/latex/fira/TS1FiraSans-LF.fd
File: TS1FiraSans-LF.fd 2019/04/04 (autoinst) Font definitions for TS1/FiraSans
-LF.
)
LaTeX Font Info:    Font shape `TS1/FiraSans-LF/regular/n' will be
(Font)              scaled to size 6.0pt on input line 891.
LaTeX Font Info:    Font shape `T1/zi4/m/n' will be
(Font)              scaled to size 6.0pt on input line 891.
 [63

]
\tf@nav=\write7
\openout7 = `talk.nav'.

\tf@toc=\write8
\openout8 = `talk.toc'.

\tf@snm=\write9
\openout9 = `talk.snm'.

Package atveryend Info: Empty hook `BeforeClearDocument' on input line 893.
Package atveryend Info: Empty hook `AfterLastShipout' on input line 893.

(/home/ludo/src/guix-maintenance/talks/fosdem-2020/containers/talk.aux)
Package atveryend Info: Executing hook `AtVeryEndDocument' on input line 893.
Package atveryend Info: Executing hook `AtEndAfterFileList' on input line 893.
Package rerunfilecheck Info: File `talk.out' has not changed.
(rerunfilecheck)             Checksum: D41D8CD98F00B204E9800998ECF8427E;0.

LaTeX Font Warning: Some font shapes were not available, defaults substituted.

LaTeX Warning: Label(s) may have changed. Rerun to get cross-references right.

 ) 
Here is how much of TeX's memory you used:
 25988 strings out of 492623
 561649 string characters out of 6106507
 613472 words of memory out of 5000000
 29042 multiletter control sequences out of 15000+600000
 377717 words of font info for 135 fonts, out of 8000000 for 9000
 1141 hyphenation exceptions out of 8191
 57i,15n,83p,908b,953s stack positions out of 5000i,500n,10000p,200000b,80000s

!pdfTeX error: /home/ludo/.guix-profile/bin/pdflatex (file fir_junpg2.enc): can
not open encoding file for reading
 ==> Fatal error occurred, no output PDF file produced!
--8<---------------cut here---------------end--------------->8---

Stracing shows that pdflatex is looking for ‘fir_junpg2.enc’ in $PWD.

Any idea what’s going on?  This is with the monolithic ‘texlive’
package (I never managed to find the right package combination to use
the modular texlive).

I believe I used texlive@2018 (pre-core-updates merge) back when working
on this talk.

Thanks in advance,  :-)
Ludo’.